## SYNOPSIS

           openvt [-c vtnumber] [-s] [-u] [-l] [-v] [--] command com
           mand_options

## DESCRIPTION

           openvt will find the first available VT, and run on it the
           given  command  with  the  given command options, standard
           input, output and error are directed to that terminal. The
           current  search path ($PATH) is used to find the requested
           command. If no command is specified then  the  environment
           variable $SHELL is used.

       OPTIONS
           -c vtnumber
                  Use  the  given  VT number and not the first avail
                  able. Note you must have write access to  the  sup
                  plied VT for this to work.

           -s     Switch to the new VT when starting the command. The
                  VT of the new command will be made the new  current
                  VT.

           -u     Figure  out  the  owner  of the current VT, and run
                  login as that user.  Suitable to be called by init.
                  Shouldn't be used with -c or -l.

           -l     Make the command a login shell. A - is prepended to
                  the name of the command to be executed.

           -v     Be a bit more verbose.

           -w     wait for command to complete. If -w and -s are used
                  together  then  openvt will switch back to the con
                  trolling terminal when the command completes.

           --     end of options to openvt.

## NOTE

           If openvt is compiled with a POSIX (GNU) getopt() and  you
           wish  to  set  options  to the command to be run, then you
           must supply the end of options -- flag before the command.

## EXAMPLES

           openvt  can  be used to start a shell on the next free VT,
           by using the command:

           openvt bash

           To start the shell as a login shell, use:

## SEE ALSO

           chvt(1), doshell(8), login(1)

    19 Jul 1996                    V1.4                     OPENVT(1)